Bug 100864 - Slide/Page pane: Close button not labelled
Summary: Slide/Page pane: Close button not labelled
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords: accessibility
Depends on:
Blocks: a11y Slide-Page-Pane
  Show dependency treegraph
 
Reported: 2016-07-12 12:53 UTC by Alex ARNAUD
Modified: 2017-08-22 08:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex ARNAUD 2016-07-12 12:53:57 UTC
Dear LibreOffice community,

on the latest LibreOffice Impress release (5.1.4) the "Slide Pane" close button is not labeled so blind users (like me) cannot know the function behind this button without a sighted help.

FYI, the problem doesn't appear on the "Property Pane" close button.

Best regards.
Comment 1 V Stuart Foote 2016-07-12 15:00:22 UTC
On Windows 10 Pro 64-bit en-US with
Version: 5.2.0.1 (x64)
Build ID: fcbcb4963bda8633ba72bd2108ca1e802aad557d
CPU Threads: 8; OS Version: Windows 6.19; UI Render: GL; 
Locale: en-US (en_US)

Confirming, the Impress menu View -> Slide Pane "Slides" panel, does not have a tool-tip assigned to its close button. Not unexpected, the same also for the Draw menu View -> Page Pane panel.  No tool-tip for the close button of the Page Pane "Pages" panel.

The tool-tips are integral to providing Assistive Technology tools support and must be present for all GUI widgets.
Comment 2 Alex ARNAUD 2017-07-13 15:11:31 UTC
Dear all,

@Jay: do you know if it is a complicated stuff ? Could you be able to resolved the issue yourself ? Can I add the easyhack keyword ?

FYI, I can reproduce the issue on LibreOfficeDev 6.0.

Best regards.
Comment 3 Yousuf Philips (jay) (retired) 2017-07-14 19:40:50 UTC
(In reply to Alex ARNAUD from comment #2)
> @Jay: do you know if it is a complicated stuff ? Could you be able to
> resolved the issue yourself ? Can I add the easyhack keyword ?

Assume it should be easy to fix, but definitely not something i could fix unless i was give some code pointers. @Stuart: Any ideas?
Comment 4 Commit Notification 2017-08-15 02:05:39 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bebaac5eb6ebd2db3e1ea22b1630111343a9c25c

tdf#100864 Assign a tooltip to the button to close pane

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Alex ARNAUD 2017-08-22 08:50:27 UTC
Dear all,

I confirm the fix works on LibreOfficeDev 6.0 (2017-08-21) on Debian 8.9. Thank you very much Takeshi.

Best regards.